Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IdeSoundData Class Reference

`#include <deSound.hpp>`

Inheritance diagram for IdeSoundData:

[legend]
Collaboration diagram for IdeSoundData:

[legend]
List of all members.

## Public Types
enum | interface_t { iface_IdeSoundData, iface_WAV, iface_OGG, iface_32Bit = 0x7fffffff }
## Public Member Functions
virtual deBoolean | Initialize (const char *filename)=0
virtual void | Destroy ()=0
virtual deBoolean | AtEndOfStream ()=0
virtual void | SetPosition (long NewPos)=0
virtual int | GetDataChunk (void *ptr, long size, s32 DataOffset=-1)=0
virtual uint8 * | GetAllData ()=0
virtual int | GetType ()=0
virtual void | GetFormat (WAVEFORMATEX *format)=0
virtual u32 | GetLength ()=0
## Protected Member Functions
virtual | ~IdeSoundData ()

## Member Enumeration Documentation

enum IdeSoundData::interface_t

  | Enumeration values:
  iface_IdeSoundData |
  iface_WAV |
  iface_OGG |
  iface_32Bit |

## Constructor & Destructor Documentation

virtual IdeSoundData::~IdeSoundData | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual deBoolean IdeSoundData::AtEndOfStream | ( |  | ) | `[pure virtual]`

| Implemented in deOGG, and deWAV.

virtual void IdeSoundData::Destroy | ( |  | ) | `[pure virtual]`

| Implemented in deOGG, and deWAV.

virtual uint8* IdeSoundData::GetAllData | ( |  | ) | `[pure virtual]`

| Implemented in deOGG, and deWAV.

virtual int IdeSoundData::GetDataChunk | ( | void * | ptr,
|  | long | size,
|  | s32 | DataOffset = -1
| ) | `[pure virtual]`

| Implemented in deOGG, and deWAV.

virtual void IdeSoundData::GetFormat | ( | WAVEFORMATEX * | format | ) | `[pure virtual]`

| Implemented in deOGG, and deWAV.

virtual u32 IdeSoundData::GetLength | ( |  | ) | `[pure virtual]`

| Implemented in deOGG, and deWAV.

virtual int IdeSoundData::GetType | ( |  | ) | `[pure virtual]`

| Implemented in deOGG, and deWAV.

virtual deBoolean IdeSoundData::Initialize | ( | const char * | filename | ) | `[pure virtual]`

| Implemented in deOGG, and deWAV.

virtual void IdeSoundData::SetPosition | ( | long | NewPos | ) | `[pure virtual]`

| Implemented in deOGG, and deWAV.

The documentation for this class was generated from the following file:

- deSound.hpp